png::packed_index_pixel< bits > Class Template Reference

The packed indexed pixel class template. The available specializations are for 1-, 2- and 4-bit pixels. More...

`#include <index_pixel.hpp>`

Inheritance diagram for png::packed_index_pixel< bits >:

## Public Member Functions

| packed_index_pixel (byte value=0)
Public Member Functions inherited from png::packed_pixel< bits >
| packed_pixel (byte value=0)
| operator byte () const

## Additional Inherited Members

Static Public Member Functions inherited from png::packed_pixel< bits >
static int | get_bit_depth ()
static byte | get_bit_mask ()

## Detailed Description

template<int bits>
class png::packed_index_pixel< bits >

The packed indexed pixel class template. The available specializations are for 1-, 2- and 4-bit pixels.

## Constructor & Destructor Documentation

## packed_index_pixel()

template<int bits>

png::packed_index_pixel< bits >::packed_index_pixel | ( | byte | value = `0` | ) |

inline

The documentation for this class was generated from the following file:

- index_pixel.hpp